> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bread.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Lookup account

> This endpoint allows you to lookup and verify bank account.



## OpenAPI

````yaml openapi.json post /lookup
openapi: 3.0.3
info:
  title: Bread API
  description: >-
    The Bread provides comprehensive cryptocurrency wallet management
    capabilities including wallet creation, balance monitoring, and asset
    transfers.
  version: 2.0.0
servers:
  - url: https://processor-prod.up.railway.app
    description: Production server
security: []
paths:
  /lookup:
    post:
      tags:
        - Miscellaneous
      summary: Lookup account
      description: This endpoint allows you to lookup and verify bank account.
      operationId: lookupAccount
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LookupAccountRequest'
      responses:
        '200':
          description: Bank account lookup successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LookupAccountResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    LookupAccountRequest:
      type: object
      required:
        - bank_code
        - currency
        - account_number
      properties:
        bank_code:
          type: string
          description: Bank code for account lookup
          example: '100004'
        currency:
          type: string
          enum:
            - NGN
          description: Currency code for the account
          example: ngn
        account_number:
          type: string
          description: Bank account number to lookup
          example: '1234567890'
    LookupAccountResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        status:
          type: integer
          example: 200
        message:
          type: string
          example: Bank account lookup successfully
        timestamp:
          type: string
          format: date-time
          example: '2025-09-10T01:20:03.033Z'
        data:
          type: object
          properties:
            bank_code:
              type: string
              description: Bank code
              example: '100004'
            bank_name:
              type: string
              description: Name of the bank
              example: Opay
            account_number:
              type: string
              description: Account number
              example: '1234567890'
            account_name:
              type: string
              description: Account holder's name
              example: John Doe
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-service-key

````